# AaveV3ClaimRewards

### Description

Claims single reward type specified by reward for the list of assets. Rewards are received by to address.

### Action ID

`0x3c4556e9`

### SDK Action

```ts
const aaveV3ClaimRewardsAction = new dfs.actions.aaveV3.AaveV3ClaimRewardsAction(
    assetsLength,
    amount,
    to,
    reward,
    assets
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param assetsLength Length of assets.
    /// @param amount Amount of rewards to claim.
    /// @param to Address that will be receiving the rewards.
    /// @param reward Reward address.
    /// @param assets Assets to claim rewards from.
    struct Params {
        uint8 assetsLength;
        uint256 amount;
        address to;
        address reward;
        address[] assets;
    }
```

### Return Value

```solidity
return bytes32(amountReceived);
```

### Events and Logs

```solidity
emit ActionEvent("AaveV3ClaimRewards", logData);
logger.logActionDirectEvent("AaveV3ClaimRewards", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/aave-v3/aavev3claimrewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
